<!doctype html>
<html lang="en">
  <head>
    <script type="module" src="main.js" defer></script>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="styles.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>GPT Detector</title>

  </head>
  <script type="module" src="src/main.js" defer></script>

<!--    // async function query(data, usr_key) {-->
<!--    //   let key = "Bearer ".concat(usr_key)-->
<!--    //   // Bearer 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-->
<!--    //   const response = await fetch(-->
<!--    //           "https://api-inference.huggingface.co/models/Hello-SimpleAI/chatgpt-detector-roberta",-->
<!--    //           {-->
<!--    //             headers: { Authorization: key },-->
<!--    //             method: "POST",-->
<!--    //             body: JSON.stringify(data),-->
<!--    //           }-->
<!--    //   );-->
<!--    //   const result = await response.json();-->
<!--    //   return result}-->
<!--    // async function submit_on_click(){-->
<!--    //   let html_input = document.getElementById("Input").value;-->
<!--    //   let output = document.getElementById("output")-->
<!--    //   output.innerHTML = "Judging"-->
<!--    //   query(html_input,"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").then((response) => {-->
<!--    //-->
<!--    //     output.innerHTML = response[0][0]["label"]-->
<!--    //   });-->
<!--    // }-->

  <body>
  <div style="width: 50%; float: left;">
  <h3>ChatGPT Detector</h3>
  </div>
  <div style="width: 50%;  float: right;">
    <button onclick="submit_on_click()">Judge</button>
    <h4>This text probably was made by: </h4>
    <h4 id = "output">   </h4>
  </div>
    <div class="container" style="width: 100%">
      <textarea name="Input" cols="7" rows="20" id="Input"></textarea>
    </div>
  </body>
</html>
